PHPExcel

# Class: PHPExcel_Comment

Source Location: /PHPExcel/Comment.php

### Class Overview

PHPExcel_Comment

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Methods

- __construct
- getAlignment
- getAuthor
- getFillColor
- getHashCode
- getHeight
- getMarginLeft
- getMarginTop
- getText
- getVisible
- getWidth
- setAlignment
- setAuthor
- setHeight
- setMarginLeft
- setMarginTop
- setText
- setVisible
- setWidth
- __clone

### Class Details

[line 36]
PHPExcel_Comment

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 106]

`PHPExcel_Comment __construct( )`

Create a new PHPExcel_Comment

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getAlignment [line 280]

`string getAlignment( )`

Get Alignment

#### Tags:

access: | public

[ Top ]

### method getAuthor [line 120]

`string getAuthor( )`

Get Author

#### Tags:

access: | public

[ Top ]

### method getFillColor [line 260]

`PHPExcel_Style_Color getFillColor( )`

Get fill color

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 289]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Implementation of:

PHPExcel_IComparable::getHashCode()
  Get hash code

[ Top ]

### method getHeight [line 180]

`string getHeight( )`

Get comment height (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

[ Top ]

### method getMarginLeft [line 200]

`string getMarginLeft( )`

Get left margin (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

[ Top ]

### method getMarginTop [line 220]

`string getMarginTop( )`

Get top margin (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

[ Top ]

### method getText [line 140]

`PHPExcel_RichText getText( )`

Get Rich text comment

#### Tags:

access: | public

[ Top ]

### method getVisible [line 240]

`boolean getVisible( )`

Is the comment visible by default?

#### Tags:

access: | public

[ Top ]

### method getWidth [line 160]

`string getWidth( )`

Get comment width (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

[ Top ]

### method setAlignment [line 270]

`PHPExcel_Comment setAlignment( [string $pValue = PHPExcel_Style_Alignment::HORIZONTAL_GENERAL])`

Set Alignment

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setAuthor [line 130]

`PHPExcel_Comment setAuthor( [string $pValue = ''])`

Set Author

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setHeight [line 190]

`PHPExcel_Comment setHeight( [string $value = '55.5pt'])`

Set comment height (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setMarginLeft [line 210]

`PHPExcel_Comment setMarginLeft( [string $value = '59.25pt'])`

Set left margin (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setMarginTop [line 230]

`PHPExcel_Comment setMarginTop( [string $value = '1.5pt'])`

Set top margin (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setText [line 150]

`PHPExcel_Comment setText( PHPExcel_RichText $pValue)`

Set Rich text comment

#### Tags:

access: | public

#### Parameters:

PHPExcel_RichText | $pValue |

[ Top ]

### method setVisible [line 250]

`PHPExcel_Comment setVisible( [boolean $value = false])`

Set comment default visibility

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setWidth [line 170]

`PHPExcel_Comment setWidth( [string $value = '96pt'])`

Set comment width (CSS style, i.e. XXpx or YYpt)

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method __clone [line 307]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:32 +0200 by phpDocumentor 1.4.4